#ifndef TIMER_ONE_H
#define TIMER_ONE_H

#include <avr/io.h>
#include <avr/interrupt.h>

#define RESOLUTION 65536

void timer_init(long microseconds);
void timer_start();
void timer_stop();
void timer_restart();
void timer_resume();
unsigned long timer_read();
void timer_pwm(char pin, int duty, long microseconds=-1);
void timer_disable_pwm(char pin);
void timer_set_interrupt(void (*isr)(), long microseconds=-1);
void timer_reset_interrupt();
void timer_set_period(long microseconds);
void timer_set_pwm(uint8_t pin, int duty);

#endif